Bug 1479213 - (CVE-2017-7798) CVE-2017-7798 Mozilla: XUL injection in the style editor in devtools (MFSA 2017-19)
CVE-2017-7798 Mozilla: XUL injection in the style editor in devtools (MFSA 20...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20170808,repor...
: Security
Depends On:
Blocks: 1477026
  Show dependency treegraph
 
Reported: 2017-08-08 02:49 EDT by Doran Moppert
Modified: 2017-08-24 03:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-24 03:34:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doran Moppert 2017-08-08 02:49:43 EDT
The Developer Tools feature suffered from XUL injection vulnerability due to improper sanitization of the web page source code. In the worst case this could allow arbitrary code execution when opening a malicious page with the style editor tool.


External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2017-19/#CVE-2017-7798


Acknowledgements:

Name: the Mozilla project
Upstream: Frederik Braun
Comment 1 errata-xmlrpc 2017-08-10 19:21:23 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2017:2456 https://access.redhat.com/errata/RHSA-2017:2456

Note You need to log in before you can comment on or make changes to this bug.